
Figure - Bug #118422
【系统】概率出现，usb连接PC，通过PC传输文件，传输文件完成后打开文件，通过本地APK安装应用，出
现1次冻屏，2-3分钟后设备重启
2023-06-01 13:55 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104(X104).202305291725（6/1早上版本）

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Release Test Root cause: 与 #118425 一样

Description

【测试步骤】

1.设备USB连接电脑，从电脑传输文件（客户提供的27个APK安装包）到设备

2.文件传输完成后进入文件安装应用

【预期结果】

可正常安装应用

【测试结果】

安装几个应用后，在文件中切换目录时出现冻屏，2-3分钟后设备自动重启

History

#1 - 2023-06-01 16:31 - CD SYSTEM-夏旭

- File 000067_persist_00662_230601_021101.log added

- File anr_2023-06-01-02-11-08-302.txt added

1. 测试回复发生问题的时间：

出问题的时候北京时间11：30左右 现在15：42 设备当前时间6：22

   那么出设备出问题的时间在2：10多分左右

   从日志看，此时在安装这么多的APP

  000067_persist_00662_230601_021101.log:2261:06-01 02:11:47.793  1202  1816 D installd: Found quota mount /dev/block/dm-10 at /data

  000067_persist_00662_230601_021101.log:2262:06-01 02:11:47.793  1202  1816 D installd: Found quota mount /dev/block/dm-10 at /data/user/0

  000067_persist_00662_230601_021101.log:2264:06-01 02:11:47.794  1202  1816 D installd: Found storage mount /data/media at /mnt/pass_through/0/emulated

  000067_persist_00663_230601_021147.log:1051:06-01 02:11:48.768  1202  1816 W installd: Ignoring

/data/data/com.qualcomm.qti.qms.service.connectionsecurity/lib with unexpected GID 0 

     instead of 10056

  000067_persist_00663_230601_021147.log:1062:06-01 02:11:48.789  1202  1816 W installd: Ignoring /data/data/com.android.webview/lib with unexpected GID 0

instead of 10066

  000067_persist_00663_230601_021147.log:1162:06-01 02:11:48.813  1202  1816 W installd: Ignoring /data/data/com.hryt.lebotp/lib with unexpected GID 0

instead of 10079

  000067_persist_00663_230601_021147.log:1164:06-01 02:11:48.825  1202  1816 W installd: Ignoring /data/data/com.qiyi.video.pad/lib with unexpected GID 0

instead of 10098

  000067_persist_00663_230601_021147.log:1165:06-01 02:11:48.826  1202  1816 W installd: Ignoring /data/data/com.tencent.qqmusicpad/lib with unexpected

GID 0 instead of 10106

  000067_persist_00663_230601_021147.log:1166:06-01 02:11:48.835  1202  1816 W installd: Ignoring /data/data/com.ss.android.article.video.landscape/lib with

unexpected GID 0 instead of 

   10101
  000067_persist_00663_230601_021147.log:1168:06-01 02:11:48.836  1202  1816 W installd: Ignoring /data/data/com.smile.gifmaker/lib with unexpected GID 0

instead of 10104

  000067_persist_00663_230601_021147.log:1228:06-01 02:11:49.086  1202  1816 D installd: Found quota mount /dev/block/dm-10 at /data

  000067_persist_00663_230601_021147.log:1229:06-01 02:11:49.086  1202  1816 D installd: Found quota mount /dev/block/dm-10 at /data/user/0

2. 从下面的log文件中发现system_server watch_dog 

log文件名：000067_persist_00662_230601_021101.log

  ANR文件名：anr_2023-06-01-02-11-08-302 

  06-01 02:11:08.281  1570  1668 I Watchdog: WAITED_HALF ------->system_server watch dog 

  06-01 02:11:08.285  1570  1668 I android_os_HwBinder: HwBinder: Starting thread pool for getting: android.hidl.manager@1.0::IServiceManager/default

  06-01 02:11:08.301  1570  1668 I ActivityManager: dumpStackTraces pids=null nativepids=[832, 579, 580, 844, 1229, 1167, 1935, 1313, 677, 678, 1000, 1193, 555,

813, 877, 1203, 1204, 1013, 

     822, 826, 1210, 827, 828, 830, 1279]

  06-01 02:11:08.302  1570  1668 I ActivityManager: Dumping to /data/anr/anr_2023-06-01-02-11-08-302------->* (system_server anr文件)*

  06-01 02:11:08.302  1570  1668 I ActivityManager: Collecting stacks for pid 1570

  06-01 02:11:08.303  1570  1668 I system_server: libdebuggerd_client: started dumping process 1570  ------> 开始dump system_server 

  06-01 02:11:08.304  1570  1599 I system_server: Thread[2,tid=1599,WaitingInMainSignalCatcherLoop,Thread*=0xb4000074d854cb20,peer=0x13440738,"Signal

Catcher"]: reacting to signal 3

  06-01 02:11:08.304   636   636 I tombstoned: registered intercept for pid 1570 and type kDebuggerdJavaBacktrace

  06-01 02:11:08.304  1570  1599 I system_server: 

  06-01 02:11:08.364  1570  1853 I HidlSensorManager: hidl_ssvc_poll: spurious wake up, back to work

  06-01 02:11:08.477   636   636 I tombstoned: received crash request for pid 1570

  06-01 02:11:08.477   636   636 I tombstoned: found intercept fd 512 for pid 1570 and type kDebuggerdJavaBacktrace

  06-01 02:11:08.477  1570  1599 I system_server: Wrote stack traces to tombstoned

  06-01 02:11:08.477   636   636 W tombstoned: missing output fd

3. ANR 发生时间

----- pid 1570 at 2023-06-01 02:11:08.304505476+0800 -----

   Cmd line: system_server

   Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3735:user/test-keys'

   ABI: 'arm64'

   Build type: optimized

   Zygote loaded classes=24882 post zygote classes=4079

4.综合上面的信息，请上层AF确认一下system_server是否异常

#2 - 2023-06-01 16:32 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

#3 - 2023-06-01 16:48 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118425 一样

Hi 唐霞

这个问题与 #118425 问题一致

详细分析请见 #118425
#4 - 2023-06-02 16:51 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 16:52 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

0601.log 5.28 MB 2023-06-01 物联网测试组_CDTS  唐霞 

tlog_647bd251_000067_0601021247.tar.gz 15.8 MB 2023-06-01 物联网测试组_CDTS  唐霞 

000067_persist_00662_230601_021101.log 247 KB 2023-06-01 CD SYSTEM-夏旭

anr_2023-06-01-02-11-08-302.txt 696 KB 2023-06-01 CD SYSTEM-夏旭
